apiVersion: rbac.authorization.k8s.io/v1
kind: ClusterRoleBinding
metadata:
  name: {{ include "orvn-snapshot-manager.fullname" . }}
  labels:
{{ include "orvn-snapshot-manager.labels" . | indent 8 }}
roleRef:
  apiGroup: rbac.authorization.k8s.io
  kind: ClusterRole
  name: {{ include "orvn-snapshot-manager.fullname" . }}
subjects:
  - kind: ServiceAccount
    name: {{ template "orvn-snapshot-manager.serviceAccountName" . }}
    namespace: "{{ .Release.Namespace }}"
